aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ccnet/APKBUILD
diff options
context:
space:
mode:
authorxming <xmingske@gmail.com>2014-10-22 11:43:56 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2014-10-23 10:19:13 +0200
commit2c8ba84e93592984f158c64da06a840793c7474e (patch)
tree47e85796b5f449ba1637cf20bc163905d589749f /testing/ccnet/APKBUILD
parentff51cc71717bbc3e543aa32092765411f0784a28 (diff)
downloadaports-2c8ba84e93592984f158c64da06a840793c7474e.tar.gz
aports-2c8ba84e93592984f158c64da06a840793c7474e.tar.bz2
aports-2c8ba84e93592984f158c64da06a840793c7474e.tar.xz
testing/ccnet: new aport
a framework for writing networked applications in C https://github.com/haiwen/ccnet/
Diffstat (limited to 'testing/ccnet/APKBUILD')
-rw-r--r--testing/ccnet/APKBUILD56
1 files changed, 56 insertions, 0 deletions
diff --git a/testing/ccnet/APKBUILD b/testing/ccnet/APKBUILD
new file mode 100644
index 0000000000..63fa8b7413
--- /dev/null
+++ b/testing/ccnet/APKBUILD
@@ -0,0 +1,56 @@
+# Contributor: <xmingske@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ccnet
+pkgver=3.1.6
+pkgrel=0
+pkgdesc="framework for writing networked applications in C"
+url="https://github.com/haiwen/ccnet/"
+arch="all"
+license="GPL3"
+makedepends="autoconf automake bash glib-dev jansson-dev openssl-dev libevent-dev
+ libsearpc-dev libtool libzdb-dev python-dev sqlite-dev util-linux-dev vala"
+source="$pkgname-$pkgver.tar.gz::https://github.com/haiwen/ccnet/archive/v${pkgver}.tar.gz"
+subpackages="$pkgname-dev py-$pkgname:py"
+
+_builddir="${srcdir}/${pkgname}-${pkgver}"
+
+prepare() {
+ local pf
+ cd "${_builddir}"
+ for pf in $source; do
+ case $pf in
+ *.patch) msg $pf; patch -p1 -i "$srcdir"/${pf} || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "${_builddir}"
+ ./autogen.sh
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --enable-python \
+ --enable-server
+ make || return 1
+}
+
+package() {
+ cd "${_builddir}"
+ make DESTDIR="${pkgdir}" install || return 1
+ rm "${pkgdir}"/usr/lib/libccnet.la
+}
+
+py() {
+ arch="noarch"
+ cd "$_builddir"
+ pkgdesc="$pkgname python bindings"
+ install -d "$subpkgdir"/usr/lib
+ mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
+}
+
+md5sums="d4f61d5927ad69b6275317630ec597b2 ccnet-3.1.6.tar.gz"
+sha256sums="b44d45cf81edae72cef886d9a0d9f67ea2b941990b60b83c3c36a2b2111b00dc ccnet-3.1.6.tar.gz"
+sha512sums="91222ec92f4a9d7121138f21a1417a62755443d8b647ce2227be47ff2d3072e247cd293ab78746ac7cdf7340a1b06121182db2686269aef2afccc8aac6780499 ccnet-3.1.6.tar.gz"